# LivenessCheckCallbacks class

Callback functions for handling liveness check events.

## Constructors

LivenessCheckCallbacks({VoidCallback? onSuccess, dynamic onError(String error)?, dynamic onErrorWithType(dynamic errorType, String message)?, VoidCallback? onCancel, dynamic onPhotoTaken(String imagePath)?, dynamic onProgressUpdate(int blinkCount, bool isSmiling)?, VoidCallback? onTryAgain, dynamic onMaxRetryReached(int attemptCount)?})
  Creates liveness check callbacks.
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
onCancel → VoidCallback?
  Called when user cancels the liveness check.
  final
onError → dynamic Function(String error)?
  Called when an error occurs with error message.
  final
onErrorWithType → dynamic Function(dynamic errorType, String message)?
  Called when an error occurs with error type and message.
  final
onMaxRetryReached → dynamic Function(int attemptCount)?
  Called when maximum retry attempts are reached.
  final
onPhotoTaken → dynamic Function(String imagePath)?
  Called when photo is captured with the image path.
  final
onProgressUpdate → dynamic Function(int blinkCount, bool isSmiling)?
  Called during liveness check with progress updates.
  final
onSuccess → VoidCallback?
  Called when liveness check passes successfully.
  final
onTryAgain → VoidCallback?
  Called when user taps the try again button.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited